Subject: Re: [mobile-ip] R (router) bit in BUs

From: Jari Arkko <[email-masked]>
Date: Fri, 09 Aug 2002 17:56:46 +0300

Francis Dupont wrote:

>    However, I have some doubts about this still. But let me first
>    describe the alternatives we have:
>    
>       1. No R-bit in base spec.
> 
> => do you mean "R-bit in base spec".

Yes. Sorry for the confusion.

>       2. R-Bit in an draft-kniveton-mobrtr-02.txt
>       3. No R-bit, ever.
>    
>    I think no one is arguing for #3 so we can only consider #1 and
>    #2. But what is their difference? One concern is that if the base
>    spec does not define this, then it becomes impossible to extend this
>    functionality later. This is obviously not an issue, as there is
>    reserved space in the BUs that can be used.
>    
> => I can't see a real difference between a reversed dedicated space
> and #1. So #1 is simpler for the future.

Yeah, well... the only real difference is that in #1 we have some
text in the base RFC while in #2 we don't. The behaviour is really
the same in any case.

>    Another possible concern is that when base-only HA implementations
>    are deployed, it becomes impossible to deploy mobile routers as the
>    existing HAs do not support them.
> 
> => don't forget that in IPv6 a node is either a host or a router
> (exclusive "or").
> 
>     Presumably,
>    we are talking a case where a mobile host is a router at the same time.
> 
> => s/host/node/ !
> 
>    In conclusion, my suggestion is that we should define the R bit in
>    draft-kniveton and keep the base spec from increasing in length once
>    more...
> 
> => as you still have to reserve the bit I don't buy this argument.

The reservation is for a _set_ of bits that can be used for a number
of potential future things.

This debate is turning to one a rather philosophical one. Do we describe
the bit now in the base spec but leave it's main use to be described
later? Or do we put everything in the later, complete spec for mobile
routers?

We are not going to break anything either way. My preference is to
keep related functionality described in one place (the complete
mobile router spec), and to strip the base RFC of features that
aren't operational until some further developments occur. But looking
at this thread, many people seem to be OK with putting the R bit
back in. I'm OK with that as well. Could you Francis propose the
text that is needed?

Jari